Subject: 29.0.50; Document and/or warn about problems with save-interprogram-paste-before-kill on pgtk

From: Sean Whitton <[email-masked]>
Date: Wed, 02 Feb 2022 09:53:46 -0700

Hello,

If you set save-interprogram-paste-before-kill to t on pgtk then Emacs
often hangs for a minute or so, presumably while it's waiting on paste
data from another program.  My understanding based on
emacs-devel/debbugs discussion is that this is the result of how Wayland
copy/paste + GTK work, and Emacs can't do anything about it.

If that's right, could it be documented, and/or a warning issued if the
variable is t on a pgtk build?  It took me some weeks to determine that
it was this setting, which I had had for years, that was causing all the
hangs.

If I've misread emacs-devel and this is in fact a new bug, I can take a
shot at properly debugging it.

Thanks.

-- 
Sean Whitton